<?php

namespace Drupal\acquia_search;

use Drupal\acquia_search\Client\Solarium\Endpoint;

/**
 * Endpoint Aware Trait.
 */
trait EndpointAwareTrait {

  /**
   * Acquia Specific Endpoint Service.
   *
   * @var \Drupal\acquia_search\Client\Solarium\Endpoint
   */
  protected Endpoint $endpoint;

  /**
   * Retrieve endpoint
   *
   * @return \Drupal\acquia_search\Client\Solarium\Endpoint
   *   Solarium Compatible Endpoint.
   */
  public function getEndpoint(): Endpoint {
    return $this->endpoint;
  }

  /**
   * Setter for Var.
   *
   * @param \Drupal\acquia_search\Client\Solarium\Endpoint $endpoint
   *   Solarium Compatible Endpoint.
   */
  public function setEndpoint(Endpoint $endpoint) {
    $this->endpoint = $endpoint;
  }

}
